org.gradle.plugins.ide.eclipse

## Class GenerateEclipseWtpComponent

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.XmlGeneratorTask<WtpComponent>
          - - org.gradle.plugins.ide.eclipse.GenerateEclipseWtpComponent

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      public class GenerateEclipseWtpComponent
      extends XmlGeneratorTask<WtpComponent>

  Generates the org.eclipse.wst.common.component settings file for Eclipse WTP. If you want to fine tune the eclipse configuration

  At this moment nearly all configuration is done via `EclipseWtpComponent`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateEclipseWtpComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configure(WtpComponent xmlComponent)`
    `protected WtpComponent` | `create()`
    `EclipseWtpComponent` | `getComponent()` The Eclipse WTP component model that contains details required to generate the settings file.
    `void` | `setComponent(EclipseWtpComponent component)`

    - ### Methods inherited from class org.gradle.plugins.ide.api.XmlGeneratorTask

      `getXmlTransformer`

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateEclipseWtpComponent

          public GenerateEclipseWtpComponent()

  - ### Method Detail

    - #### create

          protected WtpComponent create()

      Specified by:
        `create` in class `XmlGeneratorTask<WtpComponent>`

    - #### configure

          protected void configure(WtpComponent xmlComponent)

      Specified by:
        `configure` in class `XmlGeneratorTask<WtpComponent>`

    - #### getComponent

          @Internal
          public EclipseWtpComponent getComponent()

      The Eclipse WTP component model that contains details required to generate the settings file.

    - #### setComponent

          public void setComponent(EclipseWtpComponent component)